<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.tvo</groupId>
	<artifactId>webportal</artifactId>
	<packaging>war</packaging>
	<version>1</version>
	<name>webportal Maven Webapp</name>
	<url>http://maven.apache.org</url>
    
	<repositories>
		<repository>
			<id>org.eclnt</id>
			<url>https://www.captaincasa.com/mavenrepository</url>
		</repository>
       <!-- Repository for dependent artifacts -->
        <repository>
            <id>mvnrepository.com</id>
            <url>https://mvnrepository.com/repos/central</url>
        </repository>
		<repository>
			<id>org.outerj</id>
			<url>https://maven.atlassian.com/3rdparty/</url>
		</repository>
	</repositories>

	<properties>
		<!-- This is the CaptainCasa version to be used. -->
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<!-- Tomcat version of CaptainCasa -->
		<tomcat.version>10.1.18</tomcat.version>
        <!-- This is the CaptainCasa version to be used. -->
        <cc.version>20260204</cc.version>
    </properties>
    
    <dependencies> 
		
		<!-- Nanoleaf API Java -->
		<!-- 
			https://github.com/amybytes/nanoleaf-api
			
			https://github.com/amybytes/nanoleaf-aurora
						
		-->
		<dependency>
	        <groupId>javax.servlet</groupId>
	        <artifactId>javax.servlet-api</artifactId>
	        <version>4.0.0</version>
	    </dependency>
	    <dependency>
		    <groupId>org.mariadb.jdbc</groupId>
		    <artifactId>mariadb-java-client</artifactId>
		    <version>3.1.3</version>
		</dependency>
		<dependency>
		    <groupId>org.hibernate</groupId>
		    <artifactId>hibernate-core-jakarta</artifactId>
		    <version>5.6.15.Final</version>
		</dependency>
		<dependency>
		    <groupId>jakarta.persistence</groupId>
		    <artifactId>jakarta.persistence-api</artifactId>
		    <version>3.0.0</version>
		</dependency>
		<dependency>
		    <groupId>jakarta.transaction</groupId>
		    <artifactId>jakarta.transaction-api</artifactId>
		    <version>1.3.3</version>
		</dependency>
		<dependency>
		    <groupId>com.zaxxer</groupId>
		    <artifactId>HikariCP</artifactId>
		    <version>5.1.0</version>
		</dependency>
		
		
		<!-- https://mvnrepository.com/artifact/io.prometheus/simpleclient -->
		<dependency>
			<groupId>io.prometheus</groupId>
			<artifactId>simpleclient</artifactId>
			<version>0.16.0</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/io.prometheus/simpleclient_servlet -->
		<dependency>
			<groupId>io.prometheus</groupId>
			<artifactId>simpleclient_servlet_jakarta</artifactId>
			<version>0.16.0</version>
		</dependency>
		
		<dependency>
			<groupId>jakarta.servlet</groupId>
			<artifactId>jakarta.servlet-api</artifactId>
			<version>6.0.0</version>
			<scope>
				provided</scope>
		</dependency>
		
		<dependency>
  			<groupId>io.github.rowak</groupId>
  			<artifactId>nanoleaf-api</artifactId>
  			<version>0.1.2</version>
		</dependency>
		<dependency>
  			<groupId>io.github.rowak</groupId>
  			<artifactId>nanoleaf-aurora</artifactId>
  			<version>1.5.2</version>
		</dependency>
		
		<dependency>
		    <groupId>org.eclnt</groupId>
		    <artifactId>eclntjsfserverRISC_jakarta</artifactId>
		    <version>${cc.version}</version>
		</dependency>        
		<!-- optional: addon pacakges -->
		
		<dependency>
		    <groupId>org.eclnt</groupId>
		    <artifactId>eclntccee_jakarta</artifactId>
		    <version>${cc.version}</version>
		</dependency>        
		<dependency>
		    <groupId>org.eclnt</groupId>
		    <artifactId>eclntpbc_jakarta</artifactId>
		    <version>${cc.version}</version>
		</dependency>        
		<!-- geis shared project -->
		<dependency>
			<groupId>de.tvo</groupId>
			<artifactId>web_shared</artifactId>
			<version>1</version>
			<exclusions>
				<exclusion>
					<artifactId>javax.xml.bind</artifactId>
					<groupId>jsr173_api</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsr173_api</artifactId>
					<groupId>javax.xml.bind </groupId>
				</exclusion>
			</exclusions>
		</dependency> 
		<dependency>
			<groupId>jakarta.platform</groupId>
			<artifactId>jakarta.jakartaee-api</artifactId>
			<version>9.1.0</version>
			<scope>provided</scope>
		</dependency>
	</dependencies>
    
	<build>
		<finalName>webportal</finalName>
		<plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <version>3.3.1</version>
            </plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.12.1</version>
				<configuration>
					<source>21</source>
					<target>21</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
				<version>3.1.1</version>
				<configuration>
					<skip>true</skip>
				</configuration>
			</plugin>
                        
		</plugins>
	</build>
    
</project>
